Bug 508964 - After following a redirect and getting a 404, yumdownloader fails with traceback
After following a redirect and getting a 404, yumdownloader fails with traceback
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum-utils (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks: 500798
  Show dependency treegraph
 
Reported: 2009-06-30 13:03 EDT by Petr Sklenar
Modified: 2014-01-21 01:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-14 16:05:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2009-06-30 13:03:33 EDT
Description of problem:
After following a redirect and getting a 404, yumdownloader fails with traceback

Version-Release number of selected component (if applicable):
yum-utils-1.1.16-13.el5

How reproducible:
always

Steps to Reproduce:
1. rhn.webqa return error 404 during downloading zsh
2 $ yumdownloader zsh
Loaded plugins: rhnplugin
Traceback (most recent call last):
  File "/usr/bin/yumdownloader", line 293, in ?
    util = YumDownloader()
  File "/usr/bin/yumdownloader", line 42, in __init__
    self.main()
  File "/usr/bin/yumdownloader", line 80, in main
    self.downloadPackages(opts)
  File "/usr/bin/yumdownloader", line 214, in downloadPackages
    path = repo.getPackage(download)
  File "/usr/lib/python2.4/site-packages/yum/yumRepo.py", line 822, in getPackage
    cache=cache
  File "/usr/lib/yum-plugins/rhnplugin.py", line 313, in _getFile
    raise yum.Errors.RepoError, \
yum.Errors.RepoError: failed to retrieve getPackage/zsh-4.2.6-1.i386.rpm from rhel-i386-server-5

  
Actual results:
traceback

Expected results:

show only error, like yum does:

Error Downloading Packages:
  zsh-4.2.6-1.i386: failed to retrieve getPackage/zsh-4.2.6-1.i386.rpm from rhel-i386-server-5
error was [Errno 14] HTTP Error 404: Not Found

Additional info:
Comment 1 Petr Sklenar 2009-06-30 13:11:22 EDT
Its similar like yum bug:

https://bugzilla.redhat.com/show_bug.cgi?id=492638
Comment 2 RHEL Product and Program Management 2009-11-06 14:05:45 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 3 James Antill 2013-03-14 16:05:09 EDT
This shouldn't happen as RHN shouldn't be giving out 404s anymore.

This request was evaluated by Red Hat Engineering for inclusion in a Red 
Hat Enterprise Linux maintenance release.

Red Hat does not currently plan to provide this change in a Red Hat 
Enterprise Linux update release for currently deployed products.

With the goal of minimizing risk of change for deployed systems, and in 
response to customer and partner requirements, Red Hat takes a 
conservative approach when evaluating enhancements for inclusion in 
maintenance updates for currently deployed products. The primary 
objectives of update releases are to enable new hardware platform 
support and to resolve critical defects.

Note You need to log in before you can comment on or make changes to this bug.